petsc-3.4.2 2013-07-02

# TSMonitorSolutionBinary

Monitors progress of the TS solvers by VecView() for the solution at each timestep. Normally the viewer is a binary file

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorSolutionBinary(TS ts,PetscInt step,PetscReal ptime,Vec u,void *viewer)

Collective on TS

### Input Parameters

| ts | - the TS context
| step | - current time-step
| ptime | - current time
| u | - current state
| viewer | - binary viewer

### Keywords

TS, vector, monitor, view

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages